WebSphereConfiguredConnection (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereConfiguredConnection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereConfiguredConnection

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereConfiguredConnection

extends LogicalElement

Represents a connection setting from a web server

Naming Rules:
  0="parent,ipAddress,portNumber"
Persistable:
  true
Table Name:
  WASCONFCONN
Display Name:
  parent,ipAddress,portNumber

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`IpAddress` | `getIpAddress()`
`WebSphereVirtualHost` | `getParent()`
`int` | `getPortNumber()`
`boolean` | `hasIpAddress()`
`boolean` | `hasParent()`
`boolean` | `hasPortNumber()`
`void` | `setIpAddress(IpAddress ip)`
`void` | `setParent(WebSphereVirtualHost parent)`
`void` | `setPortNumber(int portNumber)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereVirtualHost getParent()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setParent

    void setParent(WebSphereVirtualHost parent)

### hasParent

    boolean hasParent()

### getIpAddress

    IpAddress getIpAddress()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Connects" reverse="false"

### setIpAddress

    void setIpAddress(IpAddress ip)

### hasIpAddress

    boolean hasIpAddress()

### getPortNumber

    int getPortNumber()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPortNumber

    void setPortNumber(int portNumber)

### hasPortNumber

    boolean hasPortNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD